Home

Return all traces of one transaction

POST
https://eth-archive.nownodes.io/

Returns all localized transaction traces produced by the transaction identified by the supplied hash.

Body

application/json

Returns all localized transaction traces produced by the transaction identified by the supplied hash.

Request payload for trace_transaction.

jsonrpcstring2.0required

JSON-RPC protocol version.

methodstringtrace_transactionrequired

JSON-RPC method name.

idinteger | stringrequired

Client-provided JSON-RPC request identifier. The same value is returned in the response.

paramsArray<string>required

Parameters: transaction hash.

Response

200OK

Successful JSON-RPC response or JSON-RPC method error.

400Bad Request

Invalid HTTP request body or malformed JSON-RPC payload.

401Unauthorized

Missing or invalid API key.

500Internal Server Error

Internal server error.